import request from '@/utils/request'

// 查询视频小节看课标签关联列表
export function listTag(query) {
  return request({
    url: '/shop/tag/list',
    method: 'get',
    params: query
  })
}

// 查询视频小节看课标签关联详细
export function getTag(id) {
  return request({
    url: '/shop/tag/' + id,
    method: 'get'
  })
}

// 新增视频小节看课标签关联
export function addTag(data) {
  return request({
    url: '/shop/tag',
    method: 'post',
    data: data
  })
}

// 修改视频小节看课标签关联
export function updateTag(data) {
  return request({
    url: '/shop/tag',
    method: 'put',
    data: data
  })
}

// 删除视频小节看课标签关联
export function delTag(id) {
  return request({
    url: '/shop/tag/' + id,
    method: 'delete'
  })
}

// 导出视频小节看课标签关联
export function exportTag(query) {
  return request({
    url: '/shop/tag/export',
    method: 'get',
    params: query
  })
}
